Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.groovydoc
[Java] Class GroovyRootDocBuilder

    java.lang.Object
      org.codehaus.groovy.tools.groovydoc.GroovyRootDocBuilder

    public class GroovyRootDocBuilder
    extends java.lang.Object

Constructor Summary
`GroovyRootDocBuilder(GroovyDocTool tool, java.lang.String[] sourcepaths, java.util.List links, java.util.Properties properties)`

Method Summary
`void` | `buildTree(java.util.List filenames)`
`java.util.Map` | `getClassDocsFromSingleSource(java.lang.String packagePath, java.lang.String file, java.lang.String src)`
`GroovyRootDoc` | `getRootDoc()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### GroovyRootDocBuilder

    public GroovyRootDocBuilder(GroovyDocTool tool, java.lang.String[] sourcepaths, java.util.List links, java.util.Properties properties)

Method Detail

### buildTree

    public void buildTree(java.util.List filenames)

### getClassDocsFromSingleSource

    public java.util.Map getClassDocsFromSingleSource(java.lang.String packagePath, java.lang.String file, java.lang.String src)

### getRootDoc

    public GroovyRootDoc getRootDoc()

Groovy Documentation